---
layout: default
---
<div class="container full-height">
    <div class="guild">
        <div class="head">
            <span class="name">{{ page.title }}</span>
            <span class="realm">@ {{ page.region }} {{ page.realmSlug }}</span>
            <div id="raid-progress" {% if page.raids %}style="display: flex"{% endif %}>
                <div class="raid"></div>
                {% for raid in site.raids %}
                    <div class="raid">
                        <code id="rp-{{ raid.id }}">
                            {% if page.raids[raid.id] %} {{ page.raids[raid.id] }} {% else %} N/A {% endif %}
                        </code>
                        {{ raid.name }}
                    </div>
                {% endfor %}
            </div>
        </div>
        <div class="footer">
            <div class="links">{%- comment -%}
                {%- endcomment -%}<a href="index.html" {% if page.name == "index.html" %}class="current"{% endif %}>Attendance</a>{%- comment -%}
                {%- endcomment -%}<a href="history.html" {% if page.name == "history.html" %}class="current"{% endif %}>History</a>{%- comment -%}
                {%- endcomment -%}
            </div>
            <div class="links">
                {% if page.game == "retail" %}
                <a href="https://worldofwarcraft.com/en-gb/guild/{{ page.region }}/{{ page.realmSlug }}/{{ page.guild | replace: ' ','-' }}" target="_blank" rel="nofollow" style="padding:0;margin:0"><img src="/assets/ui/wow.webp" style="vertical-align: bottom;width:2em"></a>
                <a href="https://raider.io/guilds/{{ page.region }}/{{ page.realmSlug }}/{{ page.guild }}" target="_blank" rel="nofollow" style="padding:0;margin:0"><img src="/assets/ui/raiderio.webp" style="vertical-align: bottom;width:2em"></a>
                {% endif %}
            <a href="https://{% if page.game == "retail" %}www{% else %}classic{% endif %}.warcraftlogs.com/guild/{{ page.region }}/{{ page.realm }}/{{ page.guild }}" target="_blank" rel="nofollow" style="padding:0;margin:0"><img src="/assets/ui/warcraftlogs.webp" style="vertical-align: bottom;width:2em"></a>
            </div>
        </div>
    </div>
    {% if page.name != "history.html" %}
    <div id="data_note" class="msg danger">
        <strong>Attention!</strong><br />
        You can see your benches data immediately, but in fact, <s>you live in matrix</s> they are preloaded (very heavy stuff).
        If we will load it for every user on that page - developer will live on the street.
        So your changes will be saved immediately, but really processed only in 1 hour (like all other update stuff).
        <br /><br />
        <b>TL;DR</b> Changes will be processed in 1 hour. <a href="/help/troubleshooting/">Troubleshooting</a> if something is wrong<br /><br />
        PS: you can <a href="{{ site.patreon }}" target="_blank" rel="nofollow">subscribe on patreon</a> to speed up the update process.

        {% include gmonly.html %}
    </div>
    {% endif %}
    {{ content }}
    <script async src="/assets/sorttable.js"></script>
    <script defer src="/assets/vendor/realm-0.8.0.js"></script>
    <script defer src="/assets/vendor/bson.js"></script>
    <script defer src="/assets/app.js"></script>
    <script defer src="/assets/app.guild.js"></script>
    {% if page.name != "history.html" %}
    <script>
        window.addEventListener('load', (event) => {
            guild.setUpdatedText();
            guild.setAttendanceColor();
            guild.setBenches('{{ page.guildID }}');
            {% if page.game == "retail" %}{% unless page.raids %}
            guild.setRaidProgress('{{ page.guild }}', '{{ page.realm }}', '{{ page.region }}');
            {% endunless %}{% endif %}
        });
    </script>
    {% endif %}
</div>
